PPL C Language Interface 1.2

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Members

Related Functions | List of all members
ppl_PIP_Decision_Node_tag Interface Reference

Types and functions for PIP decision nodes. More...

`#include <ppl_c_header.h>`

## Related Functions
(Note that these are not member functions.)
int | ppl_PIP_Decision_Node_get_child_node (ppl_const_PIP_Decision_Node_t pip_dec, int b, ppl_const_PIP_Tree_Node_t *pip_tree)
| Writes to `pip_tree` a const pointer to either the true branch (if `b` is not zero) or the false branch (if `b` is zero) of `pip_dec`.
Input/Output Functions
int | ppl_io_print_PIP_Decision_Node (ppl_const_PIP_Decision_Node_t x)
| Prints `x` to `stdout`.
int | ppl_io_fprint_PIP_Decision_Node (FILE *stream, ppl_const_PIP_Decision_Node_t x)
| Prints `x` to the given output `stream`.
int | ppl_io_asprint_PIP_Decision_Node (char **strp, ppl_const_PIP_Decision_Node_t x)
| Prints `x` to a malloc-allocated string, a pointer to which is returned via `strp`.
int | ppl_PIP_Decision_Node_ascii_dump (ppl_const_PIP_Decision_Node_t x, FILE *stream)
| Dumps an ascii representation of `x` on `stream`.
int | ppl_PIP_Decision_Node_ascii_load (ppl_PIP_Decision_Node_t x, FILE *stream)
| Loads an ascii representation of `x` from `stream`.

## Detailed Description

Types and functions for PIP decision nodes.

The types and functions for decision nodes provide an interface towards PIP_Decision_Node.

The documentation for this interface was generated from the following file:

- ppl_c_header.h